# Opencore 6.2 Acer Aspire 5 A515-52G-59Q2

<p align="center">
  <img src="./Resources/AboutThisMac.png" alt="Specs">
</p>

## Specs

|   |   |
|---|---|
|CPU|i5-8250U|
|GPU|intel UHD 620|
|SSD|1 TB CRUCIAL MX500|
|RAM|8GB|
|Ethernet|Realtek RTL 8111|
|Wifi Broadcom BCM94352Z DW1560 802.11a/b/g/n/ac WLAN + Bluetooth 4.0 M.2 NGFF Mini Card 867Mbps|
|Trackpad|Synaptics Trackpad|

## Working Status

- [x] Internal Audio and Headphone Jack
- [x] iGPU (Does not have a discrete GPU)
- [x] Battery Management
- [x] Ethernet
- [x] Display Brightness and control with Keys
- [x] Sleep
- [x] USB2.0 ports, USB3 ports,
- [x] Webcam
- [x] Trackpad with multi finger gestures 
- [x] iMessages and FaceTime
- [x] Bluetooth
- [x] HDMI
- [x] Internal SD Card Reader    

## Installation Guide
1. This guide will help you from the start to the end : [Dortania Gitbook](https://dortania.github.io/OpenCore-Install-Guide/)

1. Generating Serial Number : 
GenSMBIOS from Corpnewt [GenSMBIOS](https://github.com/corpnewt/GenSMBIOS)
1. Cross checking config.plist :  [Sanity Checker](https://opencore.slowgeek.com/)
1. Further Help on Discord : [Discord Server](https://discord.com/channels/186648463541272576/251043252046659586)


## Special Thanks to :

* [Acidanthera](https://github.com/acidanthera) for kexts, [Opencore](https://github.com/acidanthera/OpenCorePkg) and everything.
* [Dortania](https://github.com/dortania/Opencore-Install-Guide) for the neat and detailed installation instructions.
* [CorpNewt](https://github.com/corpnewt) for [ProperTree](https://github.com/corpnewt/ProperTree), [SSDTTime](https://github.com/corpnewt/SSDTTime), [GenSMBIOS](https://github.com/corpnewt/GenSMBIOS)
* [alexandred](https://github.com/alexandred/) for [VoodooI2C](https://github.com/alexandred/VoodooI2C) for trackpad related stuff.
* A few People on the discord server
* To anyone else whose work I might have used.

If my work helped you, and you consider helping me in return, please star this repo and if you can spare some bucks, buy me a coffee :) [Paypal](https://paypal.me/Datta0).